Subject: Re: bug#75451: scratch/igc: Enable CHECK_STRUCTS

From: Paul Eggert <[email-masked]>
Date: Tue, 14 Jan 2025 11:24:29 -0800

On 2025-01-14 07:22, Pip Cet wrote:
> The GCC options are rather strange:

Yes, it seems there are so many differing opinions about enums that it's 
hard to (ahem) enumerate them all.

> What we want, I think, is to prohibit a switch which contains a "case
> ENUM_VALUE:" label (where ENUM_VALUE is, well, any enum's value) from
> being either non-exhaustive across the enum or containing a default
> label as well.

I wouldn't want to prohibit all such switches. I can think of lots of 
reasons to allow them, e.g., "enum { NAME = EXPR };" is a common way to 
name an integer constant expression.